package com.mh.framework.netty.task;

/**
 * @author LJF
 * @version 1.0
 * @project TAD_Server
 * @description 回调任务
 * @date 2023/7/3 15:34:11
 */
public interface CallbackTask<T> {
    T execute() throws Exception;

    /**
     * // 执行没有 异常的情况下的 返回值
     * @param t
     */
    void onBack(T t);

    void onException(Throwable t);
}
