package com.mh.system.mapper.space;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mh.common.core.domain.entity.CpmSpaceRelation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 参数区域关联表管理
 * @date 2025-02-20 15:33:31
 */
@Mapper
public interface CpmSpaceRelationMapper extends BaseMapper<CpmSpaceRelation> {

    @Select("select * from cpm_space_relation where house_id = #{houseId} ")
    List<CpmSpaceRelation> selectListByHouseId(@Param("houseId") String houseId);

}
