package com.mh.system.service.policy;

import com.mh.common.core.domain.entity.CollectionParamsManage;
import com.mh.common.core.domain.entity.PolicyManage;

import java.util.List;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 策略管理
 * @date 2025-04-01 15:04:53
 */
public interface IPolicyManageService {
    List<?> selectPolicyList(String systemType, String funPolicyType);

    List<?> selectDDCTimeList(String systemType, String funPolicyType, String houseId);

    int updateTimeValue(String policyId, String timeValue);

    List<PolicyManage> selectListByCpmIds(List<CollectionParamsManage> collectionParamsManages);
}
